.386
.model flat,stdcall
option casemap:none

include Test.inc
include ComboX.inc

includelib ComboX.lib

.data? 
hwndCB1	dd ?
hwndCB2	dd ?
hwndCB3	dd ?
hwndCB4	dd ?

.data
szComboClass	db "COMBOBOX",0
szText1			db "Hello",0
szText2			db "ComboX",0
szText3			db "Version 2.2",0
.code

start:

	invoke GetModuleHandle,NULL
	mov    hInstance,eax
	invoke GetCommandLine
	invoke InitCommonControls
	invoke WinMain,hInstance,NULL,CommandLine,SW_SHOWDEFAULT
	invoke ExitProcess,eax
WinMain proc hInst:HINSTANCE,hPrevInst:HINSTANCE,CmdLine:LPSTR,CmdShow:DWORD
	LOCAL	wc:WNDCLASSEX
	LOCAL	msg:MSG

	mov		wc.cbSize,SIZEOF WNDCLASSEX
	mov		wc.style,CS_HREDRAW or CS_VREDRAW
	mov		wc.lpfnWndProc,OFFSET WndProc
	mov		wc.cbClsExtra,NULL
	mov		wc.cbWndExtra,DLGWINDOWEXTRA
	push	hInst
	pop		wc.hInstance
	mov		wc.hbrBackground,COLOR_BTNFACE+1
	mov		wc.lpszMenuName,IDR_MAINMENU
	mov		wc.lpszClassName,OFFSET szClassName
	invoke LoadIcon,NULL,IDI_APPLICATION
	mov		wc.hIcon,eax
	mov		wc.hIconSm,eax
	invoke LoadCursor,NULL,IDC_ARROW
	mov		wc.hCursor,eax
	invoke RegisterClassEx,addr wc
	invoke CreateDialogParam,hInstance,addr szDlgName,NULL,addr WndProc,NULL
	mov hWnd,eax
	invoke ShowWindow,hWnd,SW_SHOWNORMAL
	invoke UpdateWindow,hWnd
	.while TRUE
		invoke GetMessage,addr msg,NULL,0,0
	  .BREAK .if !eax
		invoke TranslateMessage,addr msg
		invoke DispatchMessage,addr msg
	.endw
	mov		eax,msg.wParam
	ret

WinMain endp
WndProc proc hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
     
	mov	eax,uMsg
	.if eax==WM_INITDIALOG
    	
    	invoke CreateComboX,WS_EX_CLIENTEDGE,addr szComboClass,NULL,\
    				WS_CHILD or WS_VISIBLE or CBS_DROPDOWN,\
    				10,10,180,80,hWin,10,hInstance,NULL
		mov hwndCB1,eax
		invoke SendMessage,eax,WM_SETFONT,hFont,TRUE
		
		invoke SendMessage,hwndCB1,CB_ADDSTRING,0,addr szText1
		invoke SendMessage,hwndCB1,CB_ADDSTRING,0,addr szText2
		invoke SendMessage,hwndCB1,CB_ADDSTRING,0,addr szText3
    ;---------------------------------------	
    	invoke CreateComboX,0,addr szComboClass,NULL,\
    				WS_CHILD or WS_VISIBLE or CBS_DROPDOWN,\
    				200,10,180,80,hWin,20,hInstance,NULL
		mov hwndCB2,eax
		invoke SendMessage,eax,WM_SETFONT,hFont,TRUE
		
		invoke SendMessage,hwndCB2,CB_ADDSTRING,0,addr szText1
		invoke SendMessage,hwndCB2,CB_ADDSTRING,0,addr szText2
		invoke SendMessage,hwndCB2,CB_ADDSTRING,0,addr szText3
	;------------------------------------------------------	
    	invoke CreateComboX,WS_EX_CLIENTEDGE,addr szComboClass,NULL,\
    				WS_CHILD or WS_VISIBLE or CBS_DROPDOWNLIST,\
    				10,100,180,80,hWin,20,hInstance,NULL
		mov hwndCB3,eax
		invoke SendMessage,eax,WM_SETFONT,hFont,TRUE

		invoke SendMessage,hwndCB3,CB_ADDSTRING,0,addr szText1
		invoke SendMessage,hwndCB3,CB_ADDSTRING,0,addr szText2
		invoke SendMessage,hwndCB3,CB_ADDSTRING,0,addr szText3
	;-------------------------------------------------------	
    	invoke CreateComboX,0,addr szComboClass,NULL,\
    				WS_CHILD or WS_VISIBLE or CBS_DROPDOWNLIST,\
    				200,100,180,80,hWin,20,hInstance,NULL
		mov hwndCB4,eax
		invoke SendMessage,eax,WM_SETFONT,hFont,TRUE
		
		invoke SendMessage,hwndCB4,CB_ADDSTRING,0,addr szText1
		invoke SendMessage,hwndCB4,CB_ADDSTRING,0,addr szText2
		invoke SendMessage,hwndCB4,CB_ADDSTRING,0,addr szText3
		
	.elseif eax==WM_COMMAND
		mov		eax,wParam
		and		eax,0FFFFh
		.if eax==IDM_FILE_EXIT
			invoke SendMessage,hWin,WM_CLOSE,0,0
		.endif
	
    .elseif eax==WM_SETFONT
    	mov eax,wParam
    	mov hFont,eax
	
	.elseif eax==WM_CLOSE
		invoke DestroyWindow,hWin
		
	.elseif uMsg==WM_DESTROY
       
		invoke PostQuitMessage,NULL
	.else
		invoke DefWindowProc,hWin,uMsg,wParam,lParam
		ret
	.endif
	xor    eax,eax
	ret
WndProc endp

end start

